Как исправить: «Вы должны использовать тему Theme.AppCompat (или потомок) с этим действием»

У меня возникли проблемы с запуском моего приложения Android в полноэкранном режиме в соответствии с инструкциями видео. Когда он пытается запустить, приложение выходит из строя с ошибкой.

"You need to use a Theme.AppCompat theme (or descendant) with this activity

Файл манифеста

               

Файл стилей

     @color/colorPrimary @color/colorPrimaryDark @color/colorAccent  

Partial MainActivity, которая может быть полезна

 public class MainActivity extends AppCompatActivity { 

В вашем приложении есть тема AppCompat

  

Но вы перезаписали Activity (который расширяет AppCompatActivity) с темой, которая не является потомком темы AppCompat

  

Вы можете определить свою собственную полноэкранную тему (см. AppCompat в parent= )

  

Затем установите это в Activity.

  

Примечание . Возможно, существует тема AppCompat, которая уже полноэкранная, но не знаю сразу

Если вы добавите android:theme="@style/Theme.AppCompat.Light" в в файле AndroidManifest.xml, проблема решена.

Interesting Posts
Давайте будем гением компьютера.